QGIS Application - Bug report #4111
Build with current external spatialindex lib
2011-07-22 06:35 AM - Volker Frohlich

Status: Fixed for bounty

Priority: Normal

Assignee: Martin Dobias

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14093
Description

| modified the build system, created a find script and adapted the wrapper to the lib's new namespace. Martin said, he wanted to include
the current lib, so the wrapper would fit both. I'd be happier to see you excluding this lib from the source tree, along with others.

The patch also contains the current FSF address. But shipping a copy of the GPLv3 would be even better (see #3789).

History

#1 - 2011-09-05 01:07 PM - Volker Fréhlich

Where can | download the 10 Euro?

#2 - 2011-09-06 02:37 AM - Paolo Cavallini

Please wait until it has been applied, then send me your details (PayPal or bank). Thanks.

#3 - 2011-10-06 02:16 PM - Volker Frohlich

The question was actually meant as a joke.

#4 - 2011-10-07 02:32 PM - Tim Sutton

- Target version set to Version 2.0.0

- Category set to Build/Install

- Status changed from Open to 7

Hi

I've applied your patch excluding the namespace changes in commit:356c87b. The namespace changes caused build errors for me here on ubuntu 11.04
and it wasnt clear to me that it was required for the actual issue - separability of spatialindex from the source tree if desired.

Regards

Tim

#5 - 2011-10-07 02:33 PM - Tim Sutton
- Status changed from 7 to Fixed for bounty

#6 - 2011-10-08 03:04 AM - Jiirgen Fischer

volter - wrote:

The question was actually meant as a joke.

careful, bad things can happen with 10€ ;) http://www.youtube.com/watch?v=ritEgrBlxwk

#7 - 2011-10-08 03:05 AM - Jiirgen Fischer

Tim Sutton wrote:

I've applied your patch excluding the namespace changes in commit:356¢87b. The namespace changes caused build errors for me here on ubuntu

11.04 and it wasnt clear to me that it was required for the actual issue - separability of spatialindex from the source tree if desired.

commit:c02421a completes it.

#8 - 2012-04-15 09:23 AM - Giovanni Manghi
- Tracker changed from 4 to Bug report

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#9 - 2012-04-15 10:44 AM - Giovanni Manghi
- Resolution set to fixed

Files

qgis_external_spatialindex_1.6.1.patch 9.07 KB
